"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.clone = void 0;
const run_1 = require("./run");
const data_1 = require("../data");
const clone = (dest) => {
    const cmd = (0, run_1.run)("git", ["clone", "--depth=1", data_1.url, dest]);
    if (cmd.status == 0) {
        (0, run_1.run)("rm", ["-rf", `${dest}/.git`]);
        return true;
    }
    return false;
};
exports.clone = clone;
