#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const modules_1 = require("./modules");
const data_1 = require("./data");
let name = process.argv[2];
const start = () => {
    if ((0, modules_1.clone)(name)) {
        (0, modules_1.install)(name);
        (0, modules_1.log)(data_1.msgs.three + (0, modules_1.highlight)(data_1.msgs.cmdStart + name + data_1.msgs.cmdEnd));
    }
    else {
        (0, modules_1.log)(data_1.msgs.error);
    }
    process.exit();
};
const askName = () => modules_1.rl.question((0, modules_1.color)(data_1.msgs.one), (answer) => {
    name = answer;
    (0, modules_1.log)(data_1.msgs.twoStart + answer + data_1.msgs.twoEnd);
    modules_1.rl.close();
    start();
});
if (name) {
    (0, modules_1.log)(data_1.msgs.twoStart + name + data_1.msgs.twoEnd);
    start();
}
else {
    askName();
}
